Subject: Re: bug#53779: [PATCH 0/5] gnu: iwd: Build from Git; update to 1.23.
From: Ludovic Courtès <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Feb 2022 13:35:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Simon South <[email-masked]> skribis:

> Note there is an unavoidable dependency issue here: iwd 1.20 doesn't build
> with ell 0.48, so a future time-traveller that arrives between the last two
> commits will find the repository partially broken.  Unfortunately expanding
> this into a longer series of commits doesn't help, as iwd 1.21 also doesn't
> build with ell 0.48 while iwd 1.22 doesn't build with ell 0.47.  I don't see a
> way around this that doesn't involve merging these two commits into one.

Merging into one is the right thing in this case, IMO.  I did that on
your behalf.

> On x86-64, with these patches applied I've been able to build both packages
> and all of their 40-odd dependents, and everything appears to be fine.
>
> On AArch64, both packages and their one immediate dependent, network-manager,
> build fine, as do the sub-dependent packages I can identify that don't rely on
> Rust (currently unavailable on AArch64).
>
> [0] As explained in passing at
>     https://lists.01.org/hyperkitty/list/[email-masked]/thread/2YCWIA63EFCKQ7AYRSGIDMUO7GEMC4CW/
> [1] https://git.kernel.org/pub/scm/libs/ell/ell.git/commit/?id=49bb10f7b5e4b97d74210cb72cc47a337ae64cad

OK.

>   gnu: iwd: Remove input labels.
>   gnu: iwd: Remove reference to %outputs.
>   gnu: iwd: Build from Git sources.
>   gnu: ell: Remove input labels.
>   gnu: ell: Update to 0.48.
>   gnu: iwd: Update to 1.24.

Applied.  Thanks for the code and for the explanations!

Ludo’.